List Zones
curl -X GET "https://api.5centscdn.com/v2/dns" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/dns"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/dns", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/dns", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/dns')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"domains": [
{
"id": 317,
"serviceid": 103,
"domain": "example.com",
"meta": {
"name": "example.com",
"id": "12345",
"type": "master",
"group": "None",
"hasBulk": false,
"is_cloud": 0,
"zone": "domain",
"status": "1",
"serial": "2026010100",
"isUpdated": 1
},
"soa": {
"serialNumber": "2026010100",
"primaryNS": "ns1.example-dns.com",
"adminMail": "admin@example.com",
"refresh": "7200",
"retry": "1800",
"expire": "1209600",
"defaultTTL": "3600"
},
"dnssec": {
"status": "1",
"ds": [
"example_string"
],
"ds_records": [
{
"digest": "a1b2c3d4e5f6789012345678abcdef12",
"key_tag": "12345",
"algorithm": "13",
"algorithm_name": "ECDSA SHA-256",
"digest_type": "2",
"digest_type_name": "SHA-256"
}
],
"dnskey": [
"example_string"
],
"optout": "1",
"statusDescription": "The DNSSEC is not active."
},
"preferredtype": "All",
"created_at": "2023-07-04 14:08:59",
"updated_at": "2026-04-20 05:57:57",
"synced_at": "2026-04-20 05:57:57",
"validated_at": "2026-04-17 22:57:53",
"deleted": null,
"proxied": [
"null"
],
"linkedZones": {},
"nameservers": [
"ns1.example-dns.com",
"ns2.example-dns.com",
"ns3.example-dns.com",
"ns4.example-dns.com"
],
"stats": {
"queries": 125000,
"records": 16
}
}
],
"nameservers": [
"ns1.example-dns.com",
"ns2.example-dns.com",
"ns3.example-dns.com",
"ns4.example-dns.com"
]
}
/dns
Target server for requests. Edit to use your own host.
API key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Responses
API response status.
Array of DNS zone objects configured for this service.
Unique identifier.
Service account identifier.
Domain name configured in the DNS zone.
Metadata about the DNS zone from the provider.
Domain name as stored in the DNS provider.
Unique identifier.
Zone type identifier.
Zone group assignment.
Whether bulk record operations are enabled for this zone.
Whether the zone is a cloud-based zone (1 = yes, 0 = no).
Zone classification type.
Current status of the zone or record.
SOA serial number for zone change tracking.
Whether the zone has been updated and propagated (1 = yes, 0 = no).
SOA (Start of Authority) record data for the DNS zone.
SOA serial number used for zone change tracking.
Primary nameserver hostname for the zone.
Administrator email address for the DNS zone.
Zone refresh interval in seconds.
Retry interval in seconds after a failed zone refresh.
Expiry time in seconds for secondary zone data.
Default TTL in seconds for records without an explicit TTL.
DNSSEC configuration and key data for the zone.
Current status of the zone or record.
Array of DS record strings for DNSSEC delegation.
Array of parsed DS record objects.
DS record digest hash value.
Key tag value identifying the DNSSEC signing key.
DNSSEC algorithm identifier.
Human-readable DNSSEC algorithm name.
DS digest type identifier.
Human-readable DS digest type name.
Array of DNSKEY record strings for the zone.
DNSSEC opt-out flag (1 = enabled, 0 = disabled).
Human-readable description of the operation outcome.
Preferred DNS record type filter setting.
Timestamp when this record was created.
Timestamp when this record was last updated.
Timestamp when the zone was last synced with the provider.
Timestamp when the zone was last validated.
Array of CDN-proxied record configurations for this zone.
Map of linked CDN zones keyed by zone ID.
Array of authoritative nameserver hostnames for the zone.
Query and record statistics for this zone.
Total number of DNS queries received for this zone.
Total number of DNS records configured in this zone.
Array of authoritative nameserver hostnames for the zone.